GetGroupOwner
/api/v1/groups/{group}/owners/{owner}Fetch one owner of a group.
Example request
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/groups/{group}/owners/{owner}"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/groups/{group}/owners/{owner}"Set OBLIQUE_API_KEY to your API key.
Path parameters
namestringrequired
Response
200GroupOwnernamestringAssigned by Oblique.
ownerstringrequiredThe owner of the group.
updateTimestring (date-time)read-onlyThe time when this object was last updated.
createTimestring (date-time)read-onlyThe time when this object was created.
managementManagementHow this ownership is managed. Inherited from the parent group: owners of Terraform-managed groups are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent group to change this. Omitted from responses when the parent group is manually managed (the default).
managerstringHow the resource is managed. Set automatically by the server based on the caller: Terraform clients produce TERRAFORM; for all other clients the management field is left unset on the response.
repoUristringURI of the VCS repository that holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this resource. Populated by the Oblique Terraform provider.
Errors
| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |